org.jboss.netty.logging

## Class JBossLoggerFactory

- java.lang.Object
- - org.jboss.netty.logging.InternalLoggerFactory
  - - org.jboss.netty.logging.JBossLoggerFactory

-     public class JBossLoggerFactory
      extends InternalLoggerFactory

  Logger factory which creates a JBoss Logging logger.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JBossLoggerFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `InternalLogger` | `newInstance(String name)` Creates a new logger instance with the specified name.

    - ### Methods inherited from class org.jboss.netty.logging.InternalLoggerFactory

      `getDefaultFactory, getInstance, getInstance, setDefaultFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JBossLoggerFactory

          public JBossLoggerFactory()

  - ### Method Detail

    - #### newInstance

          public InternalLogger newInstance(String name)

      Description copied from class: `InternalLoggerFactory`
      Creates a new logger instance with the specified name.
      Specified by:
        `newInstance` in class `InternalLoggerFactory`

Copyright © 2008-2012 The Netty Project. All Rights Reserved.